/* This program is placed in the public domain, you may do whatever you wish with the code.
 * 
 * Authors: Chris Savvopoulos (glouk), Andreas Liapis (wcf)
 * GNU/Linux port: John Tsiombikas (Nuclear)
 */
#ifndef RAYTRACER
#define RAYTRACER

#define USINGLIBS

#ifdef USINGLIBS
#include <math.h>
#endif

typedef struct Vector
{
	float x,y,z;
} Vector;

typedef unsigned int uint;
typedef unsigned char byte;

typedef struct Sphere
{
	Vector Color;
	Vector Position;
	float Radius;
} Sphere;

typedef struct Ray
{
	Vector a,b,v;
} Ray;

void Raycast (Ray *r, Vector *col, uint MaxDepth);

#endif

